# Uses of Interface
org.eclipse.birt.report.model.api.metadata.ISlotDefn

Packages that use ISlotDefn
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.metadata
Defines the elements, properties, types, structures and slots in the Report Object Model.

## Uses of ISlotDefn in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return ISlotDefn
Modifier and Type
Method
Description
`ISlotDefn`
SlotHandle.`getDefn()`
Returns the definition of the current slot.

## Uses of ISlotDefn in org.eclipse.birt.report.model.api.metadata

Methods in org.eclipse.birt.report.model.api.metadata that return ISlotDefn
Modifier and Type
Method
Description
`ISlotDefn`
IElementDefn.`getSlot(int slotID)`
Returns the meta-data definition for a slot given its numeric slot identifier.